$(window).load(function(){
    
    // ieCheck
    var ie = false;
    var aniButtonDuration = 350;
    
    if($.browser.msie && $.browser.version<9)
    {
        aniButtonDuration = 0;
        ie = true;
    }
    
    
    //resize
   	var mainDIV = $('.main');
   	var splashSlider = $('#splashSlider');
   	var splashSliderHolder = $('#splashSlider ul');
    $(window).resize(function()
    {
       resizeContent(500); 
    });
    
    function resizeContent(_animationSpeed){
        var window_H = $(window).height();
        var mainDIV_H = 820;
        
        if (window_H > mainDIV_H) {
			mainDIV.stop().animate({marginTop:~~((window_H - mainDIV_H)/2)}, _animationSpeed, 'easeOutCubic');	
		} else {
			mainDIV.stop().animate({marginTop:0}, _animationSpeed, 'easeOutCubic');	
		}
    }
    
    resizeContent(0);
    
    $('#bgStretch')
		.bgStretch({
			align:'rightBottom',
	})


    
    $('.scroll').cScroll({
		duration:700,
		step:100,
		trackCl:'track',
		shuttleCl:'shuttle',
	})
    
    $('#imgList li a').each(function(){
        $(this).find('span').stop().animate({opacity:0}, 0);
        $(this).hover(function()
        {
            $(this).find('span').stop().animate({opacity:1}, aniButtonDuration,'easeOutCubic')					   
        }, function(){
        	$(this).find('span').stop().animate({opacity:0}, aniButtonDuration,'easeInSine')						   
        })
    })
    
    
    $('#imgList li a').fancybox({
        'overlayColor'  :   '#000',
        'transitionIn'	:	'elastic',
       	'transitionOut'	:	'elastic',
    	'speedIn'		:	500, 
    	'speedOut'		:	300
     });
     $('#fancybox-overlay').css({minWidth:$('body').css("min-width"), minHeight:$('body').css("min-height")})
    
    

    /////////////////////////////////////////////////////////////////////////// 
    //                           content switch                              //
    ///////////////////////////////////////////////////////////////////////////
    
    
    var menuItems = new Array();
    
    menuItems[0] = {top:-315, left:100};
    menuItems[1] = {top:-315, left:415};
    menuItems[2] = {top:-315, left:765};
    menuItems[3] = {top:45, left:130};
    menuItems[4] = {top:45, left:430};
    menuItems[5] = {top:45, left:718};

    
    var content=$('#content'),
        nav=$('.menu'),
        navItems=$('.menu li'),
        header = $('.main header'),
        aniDelay;
     
    if(!ie){
        $('#menu > li > a b').animate({scale:0}, 0);
    } else {
        $('#menu > li > a b').css({display:'none'});
    }
    
    nav.navs({
		useHash:true,
        defHash:'#!/page_home',
		hoverIn:function(li){
		   	if(!ie){
                $('>a b',li).stop().animate({scale:1}, 250, 'easeOutQuint');
                $('>a span',li).stop().animate({color:'#AF8166', fontSize:'35px'}, 150,'easeOutSine').animate({fontSize:'35px'}, 150, 'easeOutCubic');  
            } else {
                $('>a b',li).stop().css({display:'block'});
                $('>a span',li).css({color:'#E5E5E5'});                  
            }
		},
		hoverOut:function(li){
            if(!ie){
		        $('>a b',li).stop().animate({scale:0}, 250, 'easeOutQuint');
                $('>a span',li).stop().animate({color:'#E5E5E5', fontSize:'30px'}, 100,'easeOutSine').animate({fontSize:'30px'}, 150, 'easeOutCubic');
            } else {
                $('>a b',li).stop().css({display:'none'});
                $('>a span',li).css({color:'#E5E5E5'});
            }
		}				
    })
    
     content.tabs({
		preFu:function(_)
        {
            _.li.css({display:'none'});
		}
		,actFu:function(_)
        {
    
            if(_.pren == undefined){
                aniDelay = 0;
            } else {
                aniDelay = 450;
            }
            
             
            if(_.n > 0 ){
                header.stop().animate({top:'0px'}, 600, 'easeOutQuint');
                itemsToLine()
            } else {
                header.stop().delay(aniDelay).animate({top:'335px'}, 600, 'easeOutQuint');
                for(var i = 0; i < menuItems.length; i++){
                    navItems.eq(i).stop().delay(aniDelay).animate({top:menuItems[i].top, left:menuItems[i].left}, 600, 'easeOutCubic')
                }
            }
            
            if(_.n > 0 ){
    			if(_.curr){
    				_.curr
    					.stop()
    					.delay(aniDelay).css({display:'block', left:-getOutside()}).animate({left:'0px'}, 550,'easeOutBack');
                }
            }
			if(_.prev){
				_.prev
					.stop()
					.animate({left:-getOutside()}, 450,'easeInCubic', function(){
					     $(this).css({display:'none'});
					})
            }
        }
		
	})
       
    nav.navs(function(n, _)
    {
		content.tabs(n);
        
        _.li.each(function(){
            if($(this).index() != _.pren){
                $(this).find('>a span').stop().animate({fontSize:'30px'}, 0 );
            }
            if($(this).hasClass('active')){
                $(this).find('>a span').stop().animate({color:'#fff'}, 0 );
                if(!ie){
                    $(this).find('>a b').stop().animate({scale:1}, 0);
                } else {
                    $(this).find('>a b').stop().animate({ opacity:1}, 0);
                }
            }
        })
	})
    
    function itemsToLine()
    {
        var total = navItems.length;
        var leftOffset  = (1000 - (total * 90) - ((total-1) * 10))/2 - 10; 
        
        for(var i = 0; i < total; i++){
            navItems.eq(i).stop().animate({top:'0px', left:(i * 100)+leftOffset}, 600, 'easeOutCubic')
        }
        
        
    }
    
    function getOutside()
    {
        var windowW = $(document).width();
        var outsideCor;
        
        if(windowW > 1000){
            outsideCor = ($(document).width() - 1000)/2 + 1000;
        } else {
            outsideCor = 1000;
        }
        return outsideCor;
    }
 
})